Bug 503295 - evince & okular crash with attached PDF.
evince & okular crash with attached PDF.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-30 18:30 EDT by Oron Peled
Modified: 2018-04-11 15:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:30:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A PDF brochure causing a crash for evince and okular (142.04 KB, application/pdf)
2009-05-30 18:30 EDT, Oron Peled
no flags Details

  None (edit)
Description Oron Peled 2009-05-30 18:30:39 EDT
Created attachment 345992 [details]
A PDF brochure causing a crash for evince and okular

Description of problem:
Both evince and okular crash when trying to open the attached
PDF file. xpdf shows it OK.

Version-Release number of selected component (if applicable):
evince-2.24.2-1.fc10.i386 on a fully updated F10.

How reproducible:
Open the attached PDF with evince or okular.
Opening the same file with xpdf works OK.
Comment 1 Oron Peled 2009-05-30 18:34:59 EDT
Just tested the .ps file attached to bug #486754 and it displays
without crashing both on evince and okular on my F10. So this
isn't the same bug (at least regarding the symptoms).
Comment 2 Oron Peled 2009-05-30 18:42:22 EDT
Another data point.

Tested the .PDF file attached to bug #474751 and
it crashes evince, but *not* okular or xpdf.
Comment 3 Oron Peled 2009-06-25 15:05:37 EDT
Just tested with fully updated Fedora-11 -- No crashes:
 - OK - evince-2.26.2-1.fc11.i586
 - OK - okular from kdegraphics-4.2.4-1.fc11.i586
 - OK - xpdf-3.02-13.fc11.i586
Comment 4 Matěj Cepl 2009-08-08 18:43:00 EDT
(In reply to comment #3)
> Just tested with fully updated Fedora-11 -- No crashes:
>  - OK - evince-2.26.2-1.fc11.i586
>  - OK - okular from kdegraphics-4.2.4-1.fc11.i586
>  - OK - xpdf-3.02-13.fc11.i586  

Well, this has been reported for F10 so testing with F11 doesn't save us. Can anybody confirm that this has been fixed with F10?
Comment 5 Oron Peled 2009-08-18 14:21:08 EDT
With fully updated F10:
   okular from kdegraphics-4.2.4-1.fc10.i386
   evince-2.24.2-1.fc10.i386
   xpdf-3.02-13.fc10.i386

 * The PDF attached to this bug:
   - okular - It crashes after few seconds. So one page is rendered OK before
              the crash.
   - evince - Crashes immediately (Floating point exception).
   - xpdf   - All Good.

 * For completeness, I retested the PDF from bug #474751. All three applications
   reported that the PDF is damaged and are trying to reconstruct xrefs.
   However:
   - okular - Crash after ~30 seconds, showing briefly the first page.
   - evince - Crash.
   - xdf    - All Good (while complaining about fixing xref...)

Regarding comment #4 --
   - My original report, comment #1 and comment #2 referred F10.

   - evince wasn't updated at all from my bug filling (actually since Dec-2008)
     why do you think its status would change? Some magic healing ;-)

   - The only interesting bit is okular which now has the same version built for
     both F10 and F11 on the same date (2-June), but present different
     behaviour (Crash on F10, Good on F11 [just retested again]).
Comment 7 Bug Zapper 2009-11-18 05:03:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 04:30:35 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.